package com.oracle.webservices.internal.api.message;

import java.lang.annotation.ElementType;
import java.lang.annotation.Target;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Retention;
import java.lang.annotation.Inherited;
import java.util.Map;

public interface PropertySet
{
    public abstract boolean containsKey(Object p0);
    
    public abstract Object get(Object p0);
    
    public abstract Object put(String p0, Object p1);
    
    public abstract boolean supports(Object p0);
    
    public abstract Object remove(Object p0);
    
    @Deprecated
    public abstract Map<String, Object> createMapView();
    
    public abstract Map<String, Object> asMap();
    
    @Inherited
    @Retention(RetentionPolicy.RUNTIME)
    @Target({ ElementType.FIELD, ElementType.METHOD })
    public @interface Property {
        public abstract String[] value();
    }
}
